Loading...
Searching...
No Matches
fastjet::D0RunIConePlugin Class Reference
Plugins for non-native jet definitions

A plugin for FastJet (v3.0 or later) that provides an interface to the D0 version of Run-I cone algorithm. More...

`#include <fastjet/D0RunIConePlugin.hh>`

Inheritance diagram for fastjet::D0RunIConePlugin:
[legend]
Collaboration diagram for fastjet::D0RunIConePlugin:
[legend]

## Public Member Functions

| D0RunIConePlugin (double CONErad_in, double JETmne_in, double SPLifr_in=_DEFAULT_SPLifr)
| The D0RunIConePlugin constructor, which sets the "free" parameters of the algorithm:
virtual std::string | description () const
| return a textual description of the jet-definition implemented in this plugin
virtual void | run_clustering (ClusterSequence &) const
| given a ClusterSequence that has been filled up with initial particles, the following function should fill up the rest of the ClusterSequence, using the following member functions of ClusterSequence:
Public Member Functions inherited from fastjet::D0RunIBaseConePlugin
| D0RunIBaseConePlugin (double CONErad_in, double JETmne_in, double SPLifr_in=_DEFAULT_SPLifr)
| A D0RunIConePlugin constructor which sets the "free" parameters of the algorithm:
double | CONErad () const
double | JETmne () const
double | SPLifr () const
double | TWOrad () const
bool | D0_Angle () const
bool | Increase_Delta_R () const
bool | Kill_Far_Clusters () const
bool | Jet_Et_Min_On_Iter () const
double | Far_Ratio () const
double | Eitem_Negdrop () const
double | Et_Min_Ratio () const
double | Thresh_Diff_Et () const
double | overlap_threshold () const
| access the split_ratio() also by the name overlap_threshold()
virtual double | R () const
| the plugin mechanism's standard way of accessing the jet radius
Public Member Functions inherited from fastjet::JetDefinition::Plugin
virtual bool | supports_ghosted_passive_areas () const
| return true if there is specific support for the measurement of passive areas, in the sense that areas determined from all particles below the ghost separation scale will be a passive area.
virtual void | set_ghost_separation_scale (double scale) const
| set the ghost separation scale for passive area determinations in future runs (strictly speaking that makes the routine a non const, so related internal info must be stored as a mutable)
virtual double | ghost_separation_scale () const
virtual bool | exclusive_sequence_meaningful () const
| if this returns false then a warning will be given whenever the user requests "exclusive" jets from the cluster sequence
virtual bool | is_spherical () const
| returns true if the plugin implements an algorithm intended for use on a spherical geometry (e.g.
virtual | ~Plugin ()
| a destructor to be replaced if necessary in derived classes...

## Additional Inherited Members

Protected Member Functions inherited from fastjet::D0RunIBaseConePlugin
template<typename HepEntityType>
void | run_clustering_worker (ClusterSequence &) const
Protected Attributes inherited from fastjet::D0RunIBaseConePlugin
double | _CONErad
double | _JETmne
double | _SPLifr
double | _TWOrad
bool | _D0_Angle
bool | _Increase_Delta_R
bool | _Kill_Far_Clusters
bool | _Jet_Et_Min_On_Iter
double | _Far_Ratio
double | _Eitem_Negdrop
double | _Et_Min_Ratio
double | _Thresh_Diff_Et
Static Protected Attributes inherited from fastjet::D0RunIBaseConePlugin
static const double | _DEFAULT_SPLifr = 0.5
static const double | _DEFAULT_TWOrad = 0.
static const bool | _DEFAULT_D0_Angle = false
static const bool | _DEFAULT_Increase_Delta_R = true
static const bool | _DEFAULT_Kill_Far_Clusters = true
static const bool | _DEFAULT_Jet_Et_Min_On_Iter = true
static const double | _DEFAULT_Far_Ratio = 0.5
static const double | _DEFAULT_Eitem_Negdrop = -1.0
static const double | _DEFAULT_Et_Min_Ratio = 0.5
static const double | _DEFAULT_Thresh_Diff_Et = 0.01

## Detailed Description

A plugin for FastJet (v3.0 or later) that provides an interface to the D0 version of Run-I cone algorithm.

The D0 code has been obtained from Lars Sonnenschein's web-space http://www-d0.fnal.gov/~sonne/D0RunIcone.tgz

The version of the D0 Run I code distributed here has been modified by the FastJet authors, so as to provide access to the contents of the jets (as is necessary for the plugin). This does not modify the results of the clustering.

The difference between this algorithm and the post-1996 version relates to the way the final jet momenta are calculated. Details are to be found in FERMILAB-PUB-97-242-E.

Definition at line 63 of file D0RunIConePlugin.hh.

## Constructor & Destructor Documentation

## D0RunIConePlugin()

fastjet::D0RunIConePlugin::D0RunIConePlugin | ( | double | CONErad_in,
|  | double | JETmne_in,
|  | double | SPLifr_in = _DEFAULT_SPLifr )

inline

The D0RunIConePlugin constructor, which sets the "free" parameters of the algorithm:

Parameters

  CONErad | is the cone radius
  JETmne | is a minimum ET requirement on every iteration (jet dropped if Et < JETmne * Et_min_ratio ). The value that has been used by D0 for JETmne: 8 GeV (and Et_min_ratio is 0.5)
  SPlifr | is the shared Et fraction splitting threshold, and a value of 0.5 was usually used by D0

The remaining parameters of the algorithm are not to be modified if the algorithm is to correspond to the one actually used by D0.

Definition at line 81 of file D0RunIConePlugin.hh.

## Member Function Documentation

## description()

string fastjet::D0RunIConePlugin::description | ( |  | ) | const

virtual

return a textual description of the jet-definition implemented in this plugin

Implements fastjet::D0RunIBaseConePlugin.

Definition at line 203 of file D0RunIBaseConePlugin.cc.

## run_clustering()

void fastjet::D0RunIConePlugin::run_clustering | ( | ClusterSequence & |  | ) | const

virtual

given a ClusterSequence that has been filled up with initial particles, the following function should fill up the rest of the ClusterSequence, using the following member functions of ClusterSequence:

- plugin_do_ij_recombination(...)
- plugin_do_iB_recombination(...)

Implements fastjet::D0RunIBaseConePlugin.

Definition at line 214 of file D0RunIBaseConePlugin.cc.

The documentation for this class was generated from the following files:

- plugins/D0RunICone/fastjet/D0RunIConePlugin.hh
- plugins/D0RunICone/D0RunIBaseConePlugin.cc